Create MerchantPaymentAccount

Create MerchantPaymentAccount kept by a bank/PSP on behalf of its customer.

Body Params

A CreateMerchantPaymentAccount is used to create a merchant payment account representing an account kept by a bank/PSP on behalf of its customer.

boolean
required

Specifies if a merchant payment account is active, that means if payments from this account are processed in system.
Must not be null.

additionallyAcceptedCurrencies
array of strings | null, unique

List of currencies accepted by the MerchantPaymentAccount in addition to the base currency.

string
required

The country where the MerchantPaymentAccount is valid. Should be a valid ISO 3166-1 alpha-3 or alpha-2 code.
Must not be null.

string
required

The currency used for this merchant payment account. Must be one of:.
Must not be null.

string
required
length between 1 and 100
[a-zA-Z0-9_.~-]*

Unique external reference for the merchant payment account.
Must not be null.
Size must be between 1 and 100.
Must match with the regular expression '[a-zA-Z0-9_.~-]*'.

string
required
length between 1 and 255
^\S(.*\S)?$

Name of the merchant payment account.
Must not be null.
Size must be between 1 and 255.
Must match with the regular expression '^\S(.*\S)?$'.

paymentCollectionConfig
object | null

A PaymentCollectionConfig is used to define the date of the payment collection.

int64
required

Id of the payment service provider.
Must not be null.

settlementConfig
boolean | null
Defaults to false

Specifies if creation of settlements is disabled for a merchant payment account. When set to true, account statement files
of this account are loaded from PSP/bank but settlements are not created in NBX.

settlementsProcessingSchedule
object | null

A schedule specifying the time when settlement statements from this account will be loaded from PSP and processed.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Choose an example:
application/json